@import 'config';
@import 'menu';

* {
  box-sizing: border-box;
}

body {
  @include background;
  background: $primary-color;
  color: set-text-color($primary-color);
  height: 100%;
  margin: 0 auto;
  font-family: 'Segoe UI', Tahoma, Verdana, sans-serif;
  line-height: 1.5;
}

// headings
h1,
h2,
h3 {
  margin: 0 auto;
  font-weight: 400;
  &.lg-heading {
    font-size: 6rem;
  }
  &.sm-heading {
    margin-bottom: 2rem;
    padding: 0.2rem 1rem;
    background: rgba(lighten($primary-color, 2), 0.5);
  }
}
a {
  color: #fff;
  //   text-decoration: inherit;
}
header {
  position: fixed;
  z-index: 2;
  width: 100%;
}
.text-secondary {
  color: $secondary-color;
}
main {
  padding: 4rem;
  min-height: calc(100vh - 60px);
  .icons {
    display: flex;
    // max-width: 50%;
    margin: auto;

    a {
      padding: 0.4rem;
      text-decoration: none;
      flex: 1;
      text-align: center;

      &:hover {
        color: $secondary-color;
        @include easeOut();
      }
    }
  }
  &#home {
    overflow: hidden;
    h1 {
      margin-top: 20vh;
    }
  }
}

.about-info {
  display: grid;
  grid-gap: 30px;
  grid-template-areas:
    'bioimage bio bio'
    'job1 job2 job3';
  grid-template-columns: repeat(3, 1fr);
  .bio-image {
    grid-area: bioimage;
    margin: auto;
    border-radius: 50%;
    border: solid 3px $secondary-color;
    width: 190px;
  }
  .bio {
    grid-area: bio;
  }
  .job-1 {
    grid-area: job1;
  }
  .job-2 {
    grid-area: job2;
  }
  .job-3 {
    grid-area: job3;
  }
  .job {
    background: lighten($primary-color, 5);
    padding: 0.5rem;
    border-bottom: $secondary-color 5px solid;
  }
}
// Work Project

.projects {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 0.7rem;
  a {
    text-decoration: none;
    color: #fff;
  }

  img {
    width: 100%;
    border: 3px #fff solid;
    &:hover {
      opacity: 0.5;
      border-color: $secondary-color;
      @include easeOut;
    }
  }
}

// Contact page
.boxes {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-evenly;
  align-items: center;
  margin-top: 1rem;
  div {
    font-size: 1.1rem;
    border: 3px solid transparent;
    padding: 0.5rem 1.5rem;
    // @include easeOut;
    margin-bottom: 3rem;
    // &:hover {
    //   background: $secondary-color;
    //   color: set-text-color($secondary-color);
    //   span {
    //     color: set-text-color($secondary-color);
    //   }
    // }
  }
}

// Button styles
.btn {
  display: block;
  padding: 0.5rem 1rem;
  border: 0;
  margin-bottom: 0.3rem;
  &:hover {
    background: $secondary-color;
    color: set-text-color($secondary-color);
  }
}
.btn-dark {
  @extend .btn;
  background: darken($primary-color, 50);
  color: #fff;
}
.btn-light {
  @extend .btn;
  background: lighten($primary-color, 50);
  color: #333;
}

#main-footer {
  text-align: center;
  padding: 1rem;
  background: darken($primary-color, 10);
  color: set-text-color($primary-color);
  height: 60px;
}
@import 'mobile';
